Subject: Re: git interactive rebase does not allow editing commits at once anymore

From: Phillip Wood <[email-masked]>
Date: Thu, 30 Apr 2026 14:43:44 +0100

Hi David

On 30/04/2026 08:46, David Jordanes wrote:
> Git version: git version 2.53.0.windows.2
> OS: Windows 11
> 
> Steps to reproduce:
> 1. Create a dummy repo
> 2. Create a couple of commits
> 2. Run git rebase -i HEAD~2
> 
> Observed:
> Lines in todo appear as:
> pick <hash> # commit 1
> pick <hash> # commit 2
> 
> After editing:
> reword <hash> commit A
> reword <hash> commit B
> 
> Then git loops each commit to edit.

If you mean git opens the editor for you to edit the first commit 
message and then when you close the editor it opens the second message, 
it is working as it always has done. There is an external program called 
"git-revise" which I believe lets you edit multiple commit message at 
once though I've not used it myself.

Processing the commits one at a time lets you inspect the changes for 
the commit you're editing the message for and if you have 
"commit.verbose" enabled then git will show you the diff for the commit 
below the commit message in the editor.

Thanks

Phillip

> Expected:
> After editing, all changes should be applied at once (no loop).
> 
> Question:
> Is this intended behavior? By whom and why this flow was decided? What problem it solves? If I have to rebase interactively 10 or 15 commits I have to go through all those commits one by one???